View Issue Details

IDProjectCategoryView StatusLast Update
13746Bug reports[All Projects] Survey designpublic2019-04-30 09:13
ReporterDenisChenu Assigned Tomarkusfluer  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.8.x 
Target VersionFixed in Version3.14.x 
Summary13746: Survey Menu are shown even if no Permission
Description

See https://bugs.limesurvey.org/view.php?id=13745 the menu must be hidden since user didn't have templates/read (in fact The menu must be shown an user allowed to update Theme option)

Steps To Reproduce

Install ;)
Create a new menu or set permission to an existing survey menu to superadmin/read and conect with a non super admin

Additional Information

I think Survey menu test Survey permission and not global Permission
I think it's the best : ALL Permission on survey action must return true for owner

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.9.0
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

markusfluer

markusfluer

2018-09-26 15:43

administrator   ~49144

Related to: https://github.com/LimeSurvey/LimeSurvey/commit/14b3bd3d1e9b9d88e4eb4d3970730117fb6e8333

c_schmitz

c_schmitz

2019-04-30 09:13

administrator   ~51693

Fixed in version 3.17.3

Issue History

Date Modified Username Field Change
2018-06-07 15:37 DenisChenu New Issue
2018-06-07 15:37 DenisChenu Status new => assigned
2018-06-07 15:37 DenisChenu Assigned To => LouisGac
2018-06-11 10:39 LouisGac Assigned To LouisGac => dominikvitt
2018-08-28 12:06 LouisGac Assigned To dominikvitt => markusfluer
2018-09-26 15:43 markusfluer Note Added: 49144
2018-09-26 15:43 markusfluer Status assigned => resolved
2018-09-26 15:43 markusfluer Resolution open => fixed
2018-09-26 15:43 markusfluer Fixed in Version => 3.14.x
2019-04-30 09:13 c_schmitz Note Added: 51693
2019-04-30 09:13 c_schmitz Status resolved => closed